明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 4485|回复: 7

原来这里可以发贴!

[复制链接]
发表于 2012-7-30 14:50 | 显示全部楼层 |阅读模式
。。。提了意见,请看图

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2012-7-30 18:18 | 显示全部楼层
看了图 不知道是做什么的图~~

点评

你是做什么的呀,哪个行业  发表于 2012-7-30 19:30
发表于 2012-7-30 19:59 | 显示全部楼层
preone 发表于 2012-7-30 18:18
看了图 不知道是做什么的图~~

建筑幕墙行业 呵呵~
对了 编辑大师 我想请教一个问题
vlax-curve-getStartPoint函数 要求参数的是VLA对象
可以我看有的程序里没有转换函数vlax-ename->vla-object,也可以照样运行,这个是为什么呢?难道是帮助文件里错了么?~~
 楼主| 发表于 2012-7-31 11:32 | 显示全部楼层
preone 发表于 2012-7-30 19:59
建筑幕墙行业 呵呵~
对了 编辑大师 我想请教一个问题
vlax-curve-getStartPoint函数 要求参数的是VLA对 ...

转换名字即可
(setq name (cdr (entsel)))
(setq vlname  (vlax-ename->vla-object name))
 楼主| 发表于 2012-7-31 11:33 | 显示全部楼层
邹锋 发表于 2012-7-31 11:32
转换名字即可
(setq name (cdr (entsel)))
(setq vlname  (vlax-ename->vla-object name))

有的程序已经转好名字了,,,
发表于 2012-7-31 19:04 | 显示全部楼层
邹锋 发表于 2012-7-31 11:33
有的程序已经转好名字了,,,

恩  好像是vlax-curve-函数都已经转换好了,其他的函数还暂时没试过~~

点评

vlax-curve这个不用转,,,,VLA就要转,,,忘记了,  发表于 2012-7-31 23:53
发表于 2012-8-1 17:35 | 显示全部楼层
恩  谢谢编辑大师的指点~~
发表于 2017-10-11 07:48 | 显示全部楼层
回帖是一种美德!感谢楼主的无私分享 谢谢
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-7-21 08:14 , Processed in 0.287020 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表